Subject: bug#20901: closed (Re: bug#20901: Can't replace regexps with slash)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 26 Jun 2015 18:05:03 +0000

Your bug report

#20901: Can't replace regexps with slash

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20901: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20901
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20901: Can't replace regexps with slash
From: Artur Malabarba <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: [email-masked]
Date: Fri, 26 Jun 2015 19:04:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

You're right. Should be fixed now.

2015-06-26 15:27 GMT+01:00 Paul Eggert <[email-masked]>:
> replace-regexp currently mishandles regular expression replacement with
> characters like '/'.  I assume this is related to the recent changes with
> string search so I am CC'ing Artur.
>
> This is with Emacs master (commit ff80437668dd0d5163c9e43f0c200b923b39166b).
>
> To reproduce, run emacs -Q and type:
>
> C-h t M-x replace-regexp RET .*/ RET RET
>
> Emacs will respond "Replaced 0 occurrences" without changing the buffer.  It
> should replace 12 occurrences.
>
>
>

Subject: Can't replace regexps with slash
From: Paul Eggert <[email-masked]>
To: Emacs bug reports and feature requests <[email-masked]>
Cc: Artur Malabarba <[email-masked]>
Date: Fri, 26 Jun 2015 07:27:05 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

replace-regexp currently mishandles regular expression replacement with 
characters like '/'.  I assume this is related to the recent changes with string 
search so I am CC'ing Artur.

This is with Emacs master (commit ff80437668dd0d5163c9e43f0c200b923b39166b).

To reproduce, run emacs -Q and type:

C-h t M-x replace-regexp RET .*/ RET RET

Emacs will respond "Replaced 0 occurrences" without changing the buffer.  It 
should replace 12 occurrences.